%define name		ldapjdk
%define spname		ldapsp
%define filtname	ldapfilt
%define beansname	ldapbeans
%define version		4.18
%define release		3jpp_5rh%{?dist}
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary: 	The Mozilla LDAP Java SDK
License:	MPL/GPL/LGPL
Group:		Development/Java
URL:		http://www.mozilla.org/directory/javasdk.html
Source:		%{name}-%{version}.tar.gz
# FIXME: A jpackage must be created for the
# Mozilla Network Security Services for Java (JSS)

Requires:	jaas
Requires:	jndi
Requires:	jpackage-utils >= 0:1.5
Requires:	jsse
BuildRequires:  ant
BuildRequires:	jaas
BuildRequires:	jndi
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	jsse
Provides:	jndi-ldap = 1.3.0
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Distribution:	JPackage
#Vendor:		JPackage Project

%description
The Mozilla LDAP SDKs enable you to write applications which access,
manage, and update the information stored in an LDAP directory.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}
Obsoletes:      openjmx-javadoc

%description javadoc
Javadoc for %{name}

%prep
%setup -q -c

%build
# cleanup CVS dirs
rm -fr $(find . -name CVS -type d)
cd %{name}-%{version}/mozilla/directory/java-sdk
if [ ! -e "$JAVA_HOME" ] ; then export JAVA_HOME="%{_jvmdir}/java" ; fi
sh -x ant -d dist

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}/mozilla/directory/java-sdk/dist/packages/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 %{name}-%{version}/mozilla/directory/java-sdk/dist/packages/%{spname}.jar $RPM_BUILD_ROOT%{_javadir}/%{spname}-%{version}.jar
install -m 644 %{name}-%{version}/mozilla/directory/java-sdk/dist/packages/%{filtname}.jar $RPM_BUILD_ROOT%{_javadir}/%{filtname}-%{version}.jar
install -m 644 %{name}-%{version}/mozilla/directory/java-sdk/dist/packages/%{beansname}.jar $RPM_BUILD_ROOT%{_javadir}/%{beansname}-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
	for jar in *-%{version}.jar ; do
		ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
	done
popd

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}-1.3.0

pushd $RPM_BUILD_ROOT%{_javadir}-1.3.0
	ln -fs ../java/*%{spname}.jar jndi-ldap.jar
popd

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -r %{name}-%{version}/mozilla/directory/java-sdk/dist/doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}*.jar
%{_javadir}/%{spname}*.jar
%{_javadir}/%{filtname}*.jar
%{_javadir}/%{beansname}*.jar
%{_javadir}-1.3.0/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*

%changelog
* Thu Sep 20 2007 Margaret Lum <mlum@redhat.com> 0:4.18-3jpp_5rh_el4idm
- Use IBM JVM 1.4.2, not BEA.

* Thu May 31 2007 Margaret Lum <mlum@redhat.com> 0:4.18-3jpp_1rh_el4idm
- Use disttag for builds in IDMCOMMON-1_0-RHEL4

* Thu May 31 2007 Margaret Lum <mlum@redhat.com> 0:4.18-3jpp_1rh
- Adding BuildRequires for ant

* Tue May 15 2007 Nathan Kinder <nkinder@redhat.com> 0:4.18-1jpp_1rh
- Upgrade to 4.18
- Use Ant to build instead of make
- Added ldapfilt and ldapbeans jars to the package

* Tue Nov 16 2004 Fernando Nasser <fnasser@redhat.com> 0:4.17-1jpp_1rh
- Merge with upstream for upgrade

* Thu Aug 26 2004 Fernando Nasser <fnasser@redhat.com> 0:4.17-1jpp
- Upgrade to 4.17
- Rebuilt with Ant 1.6.2

* Fri Mar  5 2004 Frank Ch. Eigler <fche@redhat.com> 0:4.1-5jpp_1rh
- RH vacuuming
- added ldapjdk-javaxssl.patch to stop using com.sun.*

* Sun Sep 28 2003 David Walluck <david@anti-microsoft.org> 0:4.1-5jpp
- add Distribution and Vendor tags
- fix jpackage-utils requirement
- change gmake to %%__make
- break %%description lines

* Thu Mar 27 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org>
- Initial build.
